Create Agent Configuration

Creates a new reusable agent configuration. The config field must be a valid JSON string representing the agent block of a Settings message. The returned agent_id can be passed in place of the full agent object in future Settings messages.

Authentication

AuthorizationToken

Use Authorization: Token <API_KEY> Example: Authorization: Token 12345abcdef

Path parameters

project_idstringRequired

Request

Agent configuration details
configstringRequired
A valid JSON string representing the agent block of a Settings message
metadatamap from strings to stringsOptional

A map of arbitrary key-value pairs for labeling or organizing the agent configuration

api_versionintegerOptionalDefaults to 1
API version. Defaults to 1

Response

Agent configuration created successfully
agent_idstring
The unique identifier of the newly created agent configuration
configobject
The parsed agent configuration object
metadatamap from strings to strings
Metadata associated with the agent configuration

Errors

400
Bad Request Error